Transliterator
Transliterator::create
Transliterator
PHP Manual

# Transliterator::__construct

(PHP >= 5.4.0, PECL intl >= 2.0.0)

Transliterator::__construct — Private constructor to deny instantiation

### Description

Transliterator::__construct ( void )

This method should not be called. Its only purpose is to deny instantiation with the new operator.

Use the factory methods Transliterator::create() or Transliterator::createFromRules() instead.

### Parameters

This function has no parameters.

### Return Values

This method should not be executed. If it is (e.g. through reflection), then its return value is unspecified.

### See Also

- Transliterator::create() - Create a transliterator
- Transliterator::createFromRules() - Create transliterator from rules

Transliterator
Transliterator::create
Transliterator
PHP Manual